<?xml version="1.0" encoding="UTF-8"?>

<!--
 Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 Use is subject to license terms.
-->

<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
        <display-name>Via Lactea. Query FITS datacubes.</display-name>
        <distributable/>



<!-- no authorization filter configured -->

    <servlet>
        <servlet-name>default</servlet-name>
        <servlet-class>
          org.apache.catalina.servlets.DefaultServlet
        </servlet-class>
        <init-param>
            <param-name>debug</param-name>
            <param-value>1</param-value>
        </init-param>
        <init-param>
            <param-name>listings</param-name>
            <param-value>true</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>/</url-pattern>
    </servlet-mapping>








        <servlet>
                <servlet-name>vlkb_cutout</servlet-name>
                <servlet-class>ServletCutout</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_cutout</servlet-name>
                <url-pattern>/vlkb_cutout</url-pattern>
        </servlet-mapping>

        <servlet>
                <servlet-name>vlkb_mcutout</servlet-name>
                <servlet-class>ServletMCutout</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_mcutout</servlet-name>
                <url-pattern>/vlkb_mcutout</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>vlkb_merge</servlet-name>
                <servlet-class>ServletMerge</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_merge</servlet-name>
                <url-pattern>/vlkb_merge</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>vlkb_vosi_availability</servlet-name>
                <servlet-class>VlkbServletFile</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_vosi_availability</servlet-name>
                <url-pattern>/availability</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>vlkb_vosi_capabilities</servlet-name>
                <servlet-class>VlkbServletFile</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_vosi_capabilities</servlet-name>
                <url-pattern>/capabilities</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>vlkb_soda</servlet-name>
                <servlet-class>ServletCutout</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>vlkb_soda</servlet-name>
                <url-pattern>/soda</url-pattern>
        </servlet-mapping>
        <servlet-mapping>
                <servlet-name>vlkb_soda</servlet-name>
                <url-pattern>/vlkb_soda</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>uws_merge</servlet-name>
                <servlet-class>UWSMerge</servlet-class>
                <init-param>
                        <param-name>name</param-name>
                        <param-value>merge</param-value>
                </init-param>
                 <init-param>
                        <param-name>rootDirectory</param-name>
                        <param-value>/tmp</param-value>
                </init-param>
        </servlet>
        <servlet-mapping>
                <servlet-name>uws_merge</servlet-name>
                <url-pattern>/uws_merge/*</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>uws_mcutout</servlet-name>
                <servlet-class>UWSMCutout</servlet-class>
                <init-param>
                        <param-name>name</param-name>
                        <param-value>mcutout</param-value>
                </init-param>
                 <init-param>
                        <param-name>rootDirectory</param-name>
                        <param-value>/tmp</param-value>
                </init-param>
        </servlet>
        <servlet-mapping>
                <servlet-name>uws_mcutout</servlet-name>
                <url-pattern>/uws_mcutout/*</url-pattern>
        </servlet-mapping>


        <servlet>
                <servlet-name>uws_soda</servlet-name>
                <servlet-class>UWSSoda</servlet-class>
                <init-param>
                        <param-name>name</param-name>
                        <param-value>soda_uws</param-value>
                </init-param>
                 <init-param>
                        <param-name>rootDirectory</param-name>
                        <param-value>/tmp</param-value>
                </init-param>
        </servlet>
        <servlet-mapping>
                <servlet-name>uws_soda</servlet-name>
                <url-pattern>/soda_uws/*</url-pattern>
        </servlet-mapping>

</web-app>
